Package org.apache.qpid.proton.amqp.transaction

# Class TransactionalState

java.lang.Object
org.apache.qpid.proton.amqp.transaction.TransactionalState

All Implemented Interfaces:
  `DeliveryState`

public final class TransactionalState extends Object implements DeliveryState

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.DeliveryState

`DeliveryState.DeliveryStateType`

## Constructor Summary

Constructors
Constructor
Description
`TransactionalState()`

## Method Summary

Modifier and Type
Method
Description
`Outcome`
`getOutcome()`
`Binary`
`getTxnId()`
`DeliveryState.DeliveryStateType`
`getType()`
`void`
`setOutcome(Outcome outcome)`
`void`
`setTxnId(Binary txnId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransactionalState

public TransactionalState()

## Method Details

### getTxnId

public Binary getTxnId()

### setTxnId

public void setTxnId(Binary txnId)

### getOutcome

public Outcome getOutcome()

### setOutcome

public void setOutcome(Outcome outcome)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public DeliveryState.DeliveryStateType getType()

Specified by:
  `getType` in interface `DeliveryState`
Returns:
  the `DeliveryState.DeliveryStateType` that this instance represents.